Skip to main content

List Privilege Groups (V2)

This operation lists all privilege groups in the current database.

POST
/v2/vectordb/privilege_groups/list
Cluster Endpoint

The base URL for this API is in the following format:

https://${CLUSTER_ENDPOINT}

📘Notes
  • You need to fill in ${CLUSTER_ENDPOINT} with that of your Zilliz Cloud cluster.
  • To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
export CLUSTER_ENDPOINT=""
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.

Example Value: Bearer {{TOKEN}}
Request Bodyapplication/json
dbNamestring

The name of the database.

export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/privilege_groups/list" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{}'
Responses200 - application/json
codeinteger
(To be added soon)
dataarray
[]dataobject
privilegeGroupNamestring
(To be added soon)
privilegesarray
[]privilegesstring
(To be added soon)

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

{
"code": 0,
"data": [
{
"privilegeGroupName": "my_priv_group",
"privileges": [
"Insert",
"Search"
]
}
]
}